/*! \file azucar/utils/access.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef ACCESS_HPP_
#define ACCESS_HPP_

#include <boost/shared_ptr.hpp>
#include <boost/weak_ptr.hpp>

template<class T>
class Access {
public:
  typedef T Target;
  typedef boost::shared_ptr<T> Ptr;
  typedef boost::shared_ptr<const T> const_Ptr;
  typedef boost::weak_ptr<T> weak_Ptr;
  typedef T& Ref;
}; 

template<class T, class U>
typename Access<T>::Ptr 
dynamic_pointer_cast(typename Access<U>::Ptr const & r) {
  return boost::dynamic_pointer_cast<T,U>(r);  
}
  
#endif /*ACCESS_HPP_*/
