/*! \file azucar/utils/baseXMLException.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef BASEXMLEXCEPTION_HPP_
#define BASEXMLEXCEPTION_HPP_

#include "azucar/utils/exceptions.hpp"


namespace azucar {
namespace utils {

/*! \brief Exceptions specific to XML handling.
 *
 * \sa BaseException
 */
class BaseXMLException : public BaseException {
public:
  /*! \sa BaseException::BaseException()
   */
  BaseXMLException(const std::string &msg) : BaseException(msg) {};

  /*! \sa BaseException::~BaseException()
   */
  ~BaseXMLException() throw() {};
};


}
}

#endif /*BASEXMLEXCEPTION_HPP_*/
