/*! \file azucar/utils/database/mysqlppHelper.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef MYSQLPPHELPER_HPP_
#define MYSQLPPHELPER_HPP_

#include <string>

#include <mysql++/mysql++.h>

namespace azucar {
namespace utils {
namespace database {

#if (MYSQLPP_HEADER_VERSION >= MYSQLPP_VERSION(3, 0, 0))
#define MYSQLPP_RESULT mysqlpp::StoreQueryResult
#else
#define MYSQLPP_RESULT mysqlpp::Result
#endif

const std::string rowFieldAsString(const mysqlpp::Row &row, int fieldNum);

void mysqlpp_escape_string_correction(std::string &s);

}
}
}


#endif /* MYSQLPPHELPER_HPP_ */
