/*! \file azucar/utils/iteratorTraits.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef ITERATORTRAITS_HPP_INCLUDED_
#define ITERATORTRAITS_HPP_INCLUDED_

// Traits for our iterators.
// Each class contains information about:
// * The value we are iterating (for example: Atom)
// * The tag that identifies the value (for example, AtomTag)
// * The iterator that permits going through a container
// (for example, AtomIterator). It must have a defined class
// TIter::PIMPL
// * The container for our values (for example, AtomComposite)

template<class T, class TTag, class TIter, class TContainer>
class IteratorTraits {
public:
  typedef T Value;
  typedef TTag Tag;
  typedef TIter Iterator;
  typedef TContainer Container;
};

#endif // ITERATORTRAITS_HPP_INCLUDED_
