/*! \file azucar/utils/mathConstants.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef MATHCONSTANTS_HPP_
#define MATHCONSTANTS_HPP_

#include <cmath>

#include <boost/numeric/conversion/converter.hpp>
#include <boost/numeric/conversion/cast.hpp>

const double PI = acos(-1.0);

const double ln_10 = log(10.0);
const double R = 8.31451 / (4.184 * 1000); // Kcal/mol·K
// Conversion factor to move from Kcal/mol to (protons squared/Angstrom)
const double conversion_kcal_to_protons = 1.0 / 331.842;

typedef boost::numeric::converter<int,double> Double2Int;
typedef boost::numeric::converter<double,int> Int2Double;

using boost::numeric_cast;



#endif /*MATHCONSTANTS_HPP_*/
