/*! \file azucar/utils/propertyDB.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef PROPERTYDB_HPP_
#define PROPERTYDB_HPP_

#include <string>

#include <boost/shared_ptr.hpp>

namespace azucar {
	namespace utils {

	class PropertyValue {
	public:

	};

	class PropertyDB {
	public:
		PropertyDB() {};
		virtual void set(const std::string &property, const std::string &value) = 0;
		virtual bool has(const std::string &property) const = 0;
		virtual const std::string get(const std::string &property) const = 0;
		virtual const boost::shared_ptr<PropertyDB> clone() const = 0;
		virtual ~PropertyDB() {};
	private:
		PropertyDB(const PropertyDB& other);
		PropertyDB &operator=(const PropertyDB& other);
	};


	}
}
#endif /*PROPERTYDB_HPP_*/
