/*! \file azucar/utils/propertyDBMap.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef PROPERTYDBMAP_HPP_
#define PROPERTYDBMAP_HPP_

#include "azucar/utils/propertyDB.hpp"

#include <map>

namespace azucar {
 namespace utils {

 	 class PropertyDBMap : public PropertyDB {
 	 public:
 		PropertyDBMap();
 		void set(const std::string &property, const std::string &value);
 		bool has(const std::string &property) const;
 		const std::string get(const std::string &property) const;
		const boost::shared_ptr<PropertyDB> clone() const;
 		~PropertyDBMap() {};
 	 private:
 		std::map<std::string, std::string> properties_;
 	 };
 }
}


#endif /* PROPERTYDBMAP_HPP_ */
