/*! \file azucar/utils/propertyDBXMLReader.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef PROPERTYDBXMLREADER_HPP_
#define PROPERTYDBXMLREADER_HPP_

#include <iostream>

#include <boost/filesystem/path.hpp>

#include "azucar/utils/propertyDB.hpp"


namespace azucar {
namespace utils {
	boost::shared_ptr<PropertyDB> readPropertyDBXML(const std::string &filename);
	boost::shared_ptr<PropertyDB> readPropertyDBXML(const boost::filesystem::path &filepath);
	boost::shared_ptr<PropertyDB> readPropertyDBXML(std::istream &input);
}
}


#endif /* PROPERTYDBXMLREADER_HPP_ */
