/*! \file azucar/utils/zip/zipI.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef ZIPI_HPP_
#define ZIPI_HPP_

#include <boost/filesystem/path.hpp>

namespace zip {

void zip(const boost::filesystem::path &inputFilePath,
              const boost::filesystem::path &outputFilePath,
              const boost::filesystem::path &workingDirectory);

void unzip(const boost::filesystem::path &inputFilePath,
              const boost::filesystem::path &workingDirectory);

void unzipList(const boost::filesystem::path &inputFilePath,
              const boost::filesystem::path &listFilePath,
              const boost::filesystem::path &workingDirectory);

void unzipFile(const boost::filesystem::path &inputFilePath,
              const boost::filesystem::path &fileToExtract,
              const boost::filesystem::path &workingDirectory);             

} // end namespace zip

#endif /*ZIPI_HPP_*/
