/*! \file test/azucar/utils/testCommon.hpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#ifndef TESTCOMMON_HPP_
#define TESTCOMMON_HPP_

#include <string>

namespace test {
	class Settings {
	public:
	  std::string testIPCProcessClient_path;
	  std::string imap_user;
	  std::string imap_key;
	  std::string imap_url;
	  std::string imap_email;
	  std::string zip_executable_path;
	  std::string unzip_executable_path;
	  std::string null_device_path;
	  std::string smtp_server_url;
	  bool use_smtp_auth;
	  std::string mail_expeditor;
	  std::string mail_sasl_user;
	  std::string mail_sasl_passwd;
	  std::string cgiLint_path;
	  std::string testCGILint_path;
	  std::string cgi_output_file;

	  Settings();

	  void load(const std::string &filename);
	  void save(const std::string &filename);

	};

	extern Settings settings;
} // end namespace

#endif /* TESTCOMMON_HPP_ */
