/*! \file azucar/utils/propertyDBMap.cpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#include "azucar/utils/propertyDBMap.hpp"

#include <map>

using namespace std;
using namespace azucar::utils;

PropertyDBMap::PropertyDBMap() : PropertyDB(), properties_() {};

void PropertyDBMap::set(const std::string &property, const std::string &value) {
	properties_[property] = value;
}

bool PropertyDBMap::has(const std::string &property) const {
	return properties_.find(property) != properties_.end();
}

const std::string PropertyDBMap::get(const std::string &property) const {
	return properties_.find(property)->second;
}

const boost::shared_ptr<PropertyDB> PropertyDBMap::clone() const {
	boost::shared_ptr<PropertyDBMap> result(new PropertyDBMap());

	result->properties_ = properties_;

	return boost::static_pointer_cast<PropertyDB>(result);
}

