/*! \file test/azucar/utils/test_quantity.cpp
 *
 * \author Jorge Estrada
 *
 * Copyright 2013-2014 Jorge Estrada.
 *
 * This file is part of the azucar.cppUtils project.
 * It is subject to the license terms in the
 * LICENSE file found in the top-level directory of this distribution.
 * No part of the azucar.cppUtils project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms contained
 * in the LICENSE file.
 */

#include <iostream>
#include <string>

#include <boost/test/unit_test.hpp>
#include <boost/algorithm/string.hpp>
#include <boost/python.hpp>
#include <boost/format.hpp>

#include "azucar/utils/quantity.hpp"

using namespace std;

namespace q = quantity;

BOOST_AUTO_TEST_SUITE(global)

BOOST_AUTO_TEST_SUITE(test_quantity)

BOOST_AUTO_TEST_CASE(quantity1) {
  BOOST_CHECK_EQUAL(q::CELSIUS.symbol_, "Celsius");
  BOOST_CHECK_EQUAL(q::unit("Celsius"), q::CELSIUS);
}

// end test_quantity
BOOST_AUTO_TEST_SUITE_END()

// end global
BOOST_AUTO_TEST_SUITE_END()
